#!/bin/bash
#
# Copyright 2013 Stefan Brenner, Sven Schober
#
# This file is part of DAE.
#
# DAE is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# DAE is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DAE.  If not, see <http://www.gnu.org/licenses/>.
#

### global config
DIR="./results"
EXE="./master.sh"
PLOT="./gnuplot.sh"
DEF_ITER=10
CALC=0

mkdir -p $DIR

### execution

# numbers 0.0 0.1 ... 1.0
num=$(awk 'BEGIN{for(i=0;i<=1;i+=0.1)print i}' | sed 's/,/./')

# FIGURE: all trees embedding synthetic for different symratio (rel error)

sequoia="$DIR/planetlab-error-sequoia.dat"
song="$DIR/planetlab-error-song.dat"
dae="$DIR/planetlab-error-dae.dat"
figure="planetlab-error.tex"

# rm $sequoia
# rm $song
# rm $dae

# touch $sequoia
# touch $song
# touch $dae

# $EXE -to planetlab -tr sequoia -cdf >> ${sequoia}
# $EXE -to planetlab -tr song    -cdf >> $song
# $EXE -to planetlab -tr dae     -cdf >> $dae

dae="$DIR/planetlab-error-dae-optimize.dat"
$PLOT $figure 'Relative Error $e_r$' 'CDF (\\%)' 0 5 0 1 0 0 "DAE" $dae "Song" $song "Sequoia-15" ${sequoia}
