/**
 *
 * Copyright 2013 Stefan Brenner, Sven Schober
 *
 * This file is part of DAE.
 *
 * DAE is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DAE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DAE.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package sequoia.topology;

/**
 * RealKnown topology used in the thesis. Simulates various actually existing
 * hosts and their appropriate bandwidth properties.
 * 
 * @author stefan
 * 
 */
public class TopRealKnown extends HostConnectionTopology {

	public TopRealKnown() {
		setDescription("Topology containing real existing nodes with their corresponding real up/downstream bandwidth");

		addHostBandwLimits("priv1", 50000, 2500);
		addHostBandwLimits("priv2", 2000, 200);
		addHostBandwLimits("priv3", 16000, 1000);
		addHostBandwLimits("priv4", 100000, 2500);
		addHostBandwLimits("priv5", 20000, 1000);
		// addHostLimits("stut", 1000000, 1000000);

		addHostBandwLimits("uni1", 100000, 100000);
		addHostBandwLimits("uni2", 100000, 100000);
		addHostBandwLimits("uni3", 100000, 100000);

		genTable();
		shuffle();
	}

}
