/**
 *
 * Copyright 2013 Stefan Brenner, Sven Schober
 *
 * This file is part of DAE.
 *
 * DAE is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * DAE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DAE.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package sequoia.tree;

import java.util.Comparator;

/**
 * Comparator, in order to sort Hosts by label size
 * 
 * @author stefan
 *
 */
public class HostLabelComparator implements Comparator<Host>{
	@Override
	public int compare(Host a, Host b) {
		int sa = a.label.hosts.size();
		int sb = b.label.hosts.size();
		return sa > sb ? 1 : sa == sb ? 0 : -1;
	}
}
